#ifndef _GRAPHS_H
#define _GRAPHS_H

extern int  month_graph6(char *, char *, int, int, u_long *,
             u_long *, u_long *, double *, u_long *, u_long *);
extern int  year_graph6x(char *, char *, int, 
             u_long *, u_long *, u_long *, double *, u_long *, u_long *);
extern int  day_graph3(char *, char *, u_long *, u_long *, u_long *);
extern int  pie_chart(char *, char *, u_long, u_long *, char **);

extern int year_graph6x_msg(char *, char *, int, 
		 u_long *, char*,int,
                 u_long *, char*,int,
                 u_long *, char*,int,
                 double *, char*,int,
                 u_long *, char*,int,
                 u_long *, char*,int);
extern int month_graph6_msg(char *, char *, int, int,      
                 u_long *, char*,int,
                 u_long *, char*,int,
                 u_long *, char*,int,
                 double *, char*,int,
                 u_long *, char*,int,
                 u_long *, char*,int,u_long );
extern int day_graph3_msg(  char *, char *, 
	       u_long *, char *,int,
               u_long *, char *,int,
               u_long *, char *,int );
extern int pie_chart_msg(char *, char *, u_long, u_long *, char **, char *);

extern int month_stream_usage( char *,char *,int * ,int ,int,char *,char *,int );
extern int month_hourly_stream_usage(char *,char *,int,int,int *,int,int,char *,char *,int);




extern int      black, white, grey, dkgrey, red,
                blue, orange, green, cyan, yellow;

extern void init_colors();


#define COLOR1 green                       /* graph color - hits  */
#define COLOR2 blue                        /* files               */
#define COLOR3 orange                      /* sites               */
#define COLOR4 red                         /* KBytes              */
#define COLOR5 cyan                        /* Files               */
#define COLOR6 yellow                      /* Visits              */

#define MONTHLY 0
#define WEEKLY 1
#define DAILY 2

#endif  /* _GRAPHS_H */
